;***************************************************************
;* TMS320C2000 G3 C/C++ Codegen                               PC v20.2.1.LTS *
;* Date/Time created: Thu Dec 30 17:57:50 2021                 *
;***************************************************************
	.compiler_opts --abi=eabi --float_support=fpu64 --hll_source=on --mem_model:code=flat --mem_model:data=large --object_format=elf --silicon_errata_fpu1_workaround=off --silicon_version=28 --symdebug:dwarf --symdebug:dwarf_version=4 --tmu_support=tmu0 
	.asg	XAR2, FP

$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C2000 G3 C/C++ Codegen PC v20.2.1.LTS Copyright (c) 1996-2018 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\CCS_Project\Debug")
$C$DW$1	.dwtag  DW_TAG_variable
	.dwattr $C$DW$1, DW_AT_name("CpuTimer0Regs")
	.dwattr $C$DW$1, DW_AT_linkage_name("CpuTimer0Regs")
	.dwattr $C$DW$1, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external
	.dwattr $C$DW$1, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$1, DW_AT_decl_line(0x7c)
	.dwattr $C$DW$1, DW_AT_decl_column(0x26)

$C$DW$2	.dwtag  DW_TAG_variable
	.dwattr $C$DW$2, DW_AT_name("CpuTimer1Regs")
	.dwattr $C$DW$2, DW_AT_linkage_name("CpuTimer1Regs")
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$2, DW_AT_declaration
	.dwattr $C$DW$2, DW_AT_external
	.dwattr $C$DW$2, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$2, DW_AT_decl_line(0x7d)
	.dwattr $C$DW$2, DW_AT_decl_column(0x26)

$C$DW$3	.dwtag  DW_TAG_variable
	.dwattr $C$DW$3, DW_AT_name("CpuTimer2Regs")
	.dwattr $C$DW$3, DW_AT_linkage_name("CpuTimer2Regs")
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$3, DW_AT_declaration
	.dwattr $C$DW$3, DW_AT_external
	.dwattr $C$DW$3, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$3, DW_AT_decl_line(0x7e)
	.dwattr $C$DW$3, DW_AT_decl_column(0x26)

	.global	||CpuTimer0||
	.bss	||CpuTimer0||,8,1,1
$C$DW$4	.dwtag  DW_TAG_variable
	.dwattr $C$DW$4, DW_AT_name("CpuTimer0")
	.dwattr $C$DW$4, DW_AT_linkage_name("CpuTimer0")
	.dwattr $C$DW$4, DW_AT_location[DW_OP_addr ||CpuTimer0||]
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$4, DW_AT_external
	.dwattr $C$DW$4, DW_AT_decl_file("C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c")
	.dwattr $C$DW$4, DW_AT_decl_line(0x34)
	.dwattr $C$DW$4, DW_AT_decl_column(0x16)

	.global	||CpuTimer1||
	.bss	||CpuTimer1||,8,1,1
$C$DW$5	.dwtag  DW_TAG_variable
	.dwattr $C$DW$5, DW_AT_name("CpuTimer1")
	.dwattr $C$DW$5, DW_AT_linkage_name("CpuTimer1")
	.dwattr $C$DW$5, DW_AT_location[DW_OP_addr ||CpuTimer1||]
	.dwattr $C$DW$5, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$5, DW_AT_external
	.dwattr $C$DW$5, DW_AT_decl_file("C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c")
	.dwattr $C$DW$5, DW_AT_decl_line(0x35)
	.dwattr $C$DW$5, DW_AT_decl_column(0x16)

	.global	||CpuTimer2||
	.bss	||CpuTimer2||,8,1,1
$C$DW$6	.dwtag  DW_TAG_variable
	.dwattr $C$DW$6, DW_AT_name("CpuTimer2")
	.dwattr $C$DW$6, DW_AT_linkage_name("CpuTimer2")
	.dwattr $C$DW$6, DW_AT_location[DW_OP_addr ||CpuTimer2||]
	.dwattr $C$DW$6, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$6, DW_AT_external
	.dwattr $C$DW$6, DW_AT_decl_file("C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c")
	.dwattr $C$DW$6, DW_AT_decl_line(0x36)
	.dwattr $C$DW$6, DW_AT_decl_column(0x16)

	.sblock	".bss"
;	C:\PROGRA~3\MATLAB\SUPPOR~1\R2021a\3P778C~1.INS\TIC200~1.INS\ti-cgt-c2000_20.2.1.LTS\bin\acia2000.exe -@C:\\Users\\JAKUBS~1\\AppData\\Local\\Temp\\{DD677F78-E828-4143-A7D7-00CD58C9BA1E} 
	.sect	".text"
	.clink
	.global	||InitCpuTimers||

$C$DW$7	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$7, DW_AT_name("InitCpuTimers")
	.dwattr $C$DW$7, DW_AT_low_pc(||InitCpuTimers||)
	.dwattr $C$DW$7, DW_AT_high_pc(0x00)
	.dwattr $C$DW$7, DW_AT_linkage_name("InitCpuTimers")
	.dwattr $C$DW$7, DW_AT_external
	.dwattr $C$DW$7, DW_AT_decl_file("C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c")
	.dwattr $C$DW$7, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$7, DW_AT_decl_column(0x06)
	.dwattr $C$DW$7, DW_AT_TI_max_frame_size(-2)
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 61,column 1,is_stmt,address ||InitCpuTimers||,isa 0

	.dwfde $C$DW$CIE, ||InitCpuTimers||
;----------------------------------------------------------------------
;  60 | void InitCpuTimers(void)                                               
;  62 | //                                                                     
;  63 | // CPU Timer 0                                                         
;  64 | // Initialize address pointers to respective timer registers:          
;  65 | //                                                                     
;----------------------------------------------------------------------

;***************************************************************
;* FNAME: InitCpuTimers                 FR SIZE:   0           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            0 Parameter,  0 Auto,  0 SOE     *
;***************************************************************

||InitCpuTimers||:
	.dwcfi	cfa_offset, -2
	.dwcfi	save_reg_to_mem, 26, 0
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 66,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  66 | CpuTimer0.RegsAddr = &CpuTimer0Regs;                                   
;  68 | //                                                                     
;  69 | // Initialize timer period to maximum:                                 
;  70 | //                                                                     
;----------------------------------------------------------------------
        MOVL      XAR4,#||CpuTimer0Regs|| ; [CPU_ARAU] |66| 
        MOVW      DP,#||CpuTimer0||     ; [CPU_ARAU] 
        MOVL      @$BLOCKED(||CpuTimer0||),XAR4 ; [CPU_ALU] |66| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 71,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  71 | CpuTimer0Regs.PRD.all  = 0xFFFFFFFF;                                   
;  73 | //                                                                     
;  74 | // Initialize pre-scale counter to divide by 1 (SYSCLKOUT):            
;  75 | //                                                                     
;----------------------------------------------------------------------
        MOVB      ACC,#0                ; [CPU_ALU] |71| 
        MOVW      DP,#||CpuTimer0Regs||+2 ; [CPU_ARAU] 
        SUBB      ACC,#1                ; [CPU_ALU] |71| 
        MOVL      @$BLOCKED(||CpuTimer0Regs||)+2,ACC ; [CPU_ALU] |71| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 76,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  76 | CpuTimer0Regs.TPR.all  = 0;                                            
;----------------------------------------------------------------------
        MOV       @$BLOCKED(||CpuTimer0Regs||)+6,#0 ; [CPU_ALU] |76| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 77,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  77 | CpuTimer0Regs.TPRH.all = 0;                                            
;  79 | //                                                                     
;  80 | // Make sure timer is stopped:                                         
;  81 | //                                                                     
;----------------------------------------------------------------------
        MOV       @$BLOCKED(||CpuTimer0Regs||)+7,#0 ; [CPU_ALU] |77| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 82,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  82 | CpuTimer0Regs.TCR.bit.TSS = 1;                                         
;  84 | //                                                                     
;  85 | // Reload all counter register with period value:                      
;  86 | //                                                                     
;----------------------------------------------------------------------
        OR        @$BLOCKED(||CpuTimer0Regs||)+4,#0x0010 ; [CPU_ALU] |82| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 87,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  87 | CpuTimer0Regs.TCR.bit.TRB = 1;                                         
;  89 | //                                                                     
;  90 | // Reset interrupt counters:                                           
;  91 | //                                                                     
;----------------------------------------------------------------------
        OR        @$BLOCKED(||CpuTimer0Regs||)+4,#0x0020 ; [CPU_ALU] |87| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 92,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  92 | CpuTimer0.InterruptCount = 0;                                          
;  94 | //                                                                     
;  95 | // Initialize address pointers to respective timer registers:          
;  96 | //                                                                     
;----------------------------------------------------------------------
        MOVB      ACC,#0                ; [CPU_ALU] |92| 
        MOVW      DP,#||CpuTimer0||+2   ; [CPU_ARAU] 
        MOVL      @$BLOCKED(||CpuTimer0||)+2,ACC ; [CPU_ALU] |92| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 97,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  97 | CpuTimer1.RegsAddr = &CpuTimer1Regs;                                   
;----------------------------------------------------------------------
        MOVL      XAR4,#||CpuTimer1Regs|| ; [CPU_ARAU] |97| 
        MOVL      @$BLOCKED(||CpuTimer1||),XAR4 ; [CPU_ALU] |97| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 98,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  98 | CpuTimer2.RegsAddr = &CpuTimer2Regs;                                   
; 100 | //                                                                     
; 101 | // Initialize timer period to maximum:                                 
; 102 | //                                                                     
;----------------------------------------------------------------------
        MOVL      XAR4,#||CpuTimer2Regs|| ; [CPU_ARAU] |98| 
        MOVL      @$BLOCKED(||CpuTimer2||),XAR4 ; [CPU_ALU] |98| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 103,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 103 | CpuTimer1Regs.PRD.all  = 0xFFFFFFFF;                                   
;----------------------------------------------------------------------
        MOVW      DP,#||CpuTimer1Regs||+2 ; [CPU_ARAU] 
        SUBB      ACC,#1                ; [CPU_ALU] |103| 
        MOVL      @$BLOCKED(||CpuTimer1Regs||)+2,ACC ; [CPU_ALU] |103| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 104,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 104 | CpuTimer2Regs.PRD.all  = 0xFFFFFFFF;                                   
; 106 | //                                                                     
; 107 | // Initialize pre-scale counter to divide by 1 (SYSCLKOUT):            
; 108 | //                                                                     
;----------------------------------------------------------------------
        MOVW      DP,#||CpuTimer2Regs||+2 ; [CPU_ARAU] 
        MOVB      ACC,#0                ; [CPU_ALU] |104| 
        SUBB      ACC,#1                ; [CPU_ALU] |104| 
        MOVL      @$BLOCKED(||CpuTimer2Regs||)+2,ACC ; [CPU_ALU] |104| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 109,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 109 | CpuTimer1Regs.TPR.all  = 0;                                            
;----------------------------------------------------------------------
        MOVW      DP,#||CpuTimer1Regs||+6 ; [CPU_ARAU] 
        MOV       @$BLOCKED(||CpuTimer1Regs||)+6,#0 ; [CPU_ALU] |109| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 110,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 110 | CpuTimer1Regs.TPRH.all = 0;                                            
;----------------------------------------------------------------------
        MOV       @$BLOCKED(||CpuTimer1Regs||)+7,#0 ; [CPU_ALU] |110| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 111,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 111 | CpuTimer2Regs.TPR.all  = 0;                                            
;----------------------------------------------------------------------
        MOVW      DP,#||CpuTimer2Regs||+6 ; [CPU_ARAU] 
        MOV       @$BLOCKED(||CpuTimer2Regs||)+6,#0 ; [CPU_ALU] |111| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 112,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 112 | CpuTimer2Regs.TPRH.all = 0;                                            
; 114 | //                                                                     
; 115 | // Make sure timers are stopped:                                       
; 116 | //                                                                     
;----------------------------------------------------------------------
        MOV       @$BLOCKED(||CpuTimer2Regs||)+7,#0 ; [CPU_ALU] |112| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 117,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 117 | CpuTimer1Regs.TCR.bit.TSS = 1;                                         
;----------------------------------------------------------------------
        MOVW      DP,#||CpuTimer1Regs||+4 ; [CPU_ARAU] 
        OR        @$BLOCKED(||CpuTimer1Regs||)+4,#0x0010 ; [CPU_ALU] |117| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 118,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 118 | CpuTimer2Regs.TCR.bit.TSS = 1;                                         
; 120 | //                                                                     
; 121 | // Reload all counter register with period value:                      
; 122 | //                                                                     
;----------------------------------------------------------------------
        MOVW      DP,#||CpuTimer2Regs||+4 ; [CPU_ARAU] 
        OR        @$BLOCKED(||CpuTimer2Regs||)+4,#0x0010 ; [CPU_ALU] |118| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 123,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 123 | CpuTimer1Regs.TCR.bit.TRB = 1;                                         
;----------------------------------------------------------------------
        MOVW      DP,#||CpuTimer1Regs||+4 ; [CPU_ARAU] 
        OR        @$BLOCKED(||CpuTimer1Regs||)+4,#0x0020 ; [CPU_ALU] |123| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 124,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 124 | CpuTimer2Regs.TCR.bit.TRB = 1;                                         
; 126 | //                                                                     
; 127 | // Reset interrupt counters:                                           
; 128 | //                                                                     
;----------------------------------------------------------------------
        MOVW      DP,#||CpuTimer2Regs||+4 ; [CPU_ARAU] 
        OR        @$BLOCKED(||CpuTimer2Regs||)+4,#0x0020 ; [CPU_ALU] |124| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 129,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 129 | CpuTimer1.InterruptCount = 0;                                          
;----------------------------------------------------------------------
        MOVW      DP,#||CpuTimer1||+2   ; [CPU_ARAU] 
        MOVB      ACC,#0                ; [CPU_ALU] |129| 
        MOVL      @$BLOCKED(||CpuTimer1||)+2,ACC ; [CPU_ALU] |129| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 130,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 130 | CpuTimer2.InterruptCount = 0;                                          
;----------------------------------------------------------------------
        MOVL      @$BLOCKED(||CpuTimer2||)+2,ACC ; [CPU_ALU] |130| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 131,column 1,is_stmt,isa 0
$C$DW$8	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$8, DW_AT_low_pc(0x00)
	.dwattr $C$DW$8, DW_AT_TI_return

        LRETR     ; [CPU_ALU] 
        ; return occurs ; [] 
	.dwattr $C$DW$7, DW_AT_TI_end_file("C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c")
	.dwattr $C$DW$7, DW_AT_TI_end_line(0x83)
	.dwattr $C$DW$7, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$7

	.sect	".text"
	.clink
	.global	||ConfigCpuTimer||

$C$DW$9	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$9, DW_AT_name("ConfigCpuTimer")
	.dwattr $C$DW$9, DW_AT_low_pc(||ConfigCpuTimer||)
	.dwattr $C$DW$9, DW_AT_high_pc(0x00)
	.dwattr $C$DW$9, DW_AT_linkage_name("ConfigCpuTimer")
	.dwattr $C$DW$9, DW_AT_external
	.dwattr $C$DW$9, DW_AT_decl_file("C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c")
	.dwattr $C$DW$9, DW_AT_decl_line(0x8b)
	.dwattr $C$DW$9, DW_AT_decl_column(0x06)
	.dwattr $C$DW$9, DW_AT_TI_max_frame_size(-10)
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 140,column 1,is_stmt,address ||ConfigCpuTimer||,isa 0

	.dwfde $C$DW$CIE, ||ConfigCpuTimer||
$C$DW$10	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$10, DW_AT_name("Timer")
	.dwattr $C$DW$10, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$10, DW_AT_location[DW_OP_reg12]

$C$DW$11	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$11, DW_AT_name("Freq")
	.dwattr $C$DW$11, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$11, DW_AT_location[DW_OP_regx 0x2b]

$C$DW$12	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$12, DW_AT_name("Period")
	.dwattr $C$DW$12, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$12, DW_AT_location[DW_OP_regx 0x2f]

;----------------------------------------------------------------------
; 139 | void ConfigCpuTimer(struct CPUTIMER_VARS *Timer, float Freq, float Peri
;     | od)                                                                    
;----------------------------------------------------------------------

;***************************************************************
;* FNAME: ConfigCpuTimer                FR SIZE:   8           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            0 Parameter,  8 Auto,  0 SOE     *
;***************************************************************

||ConfigCpuTimer||:
	.dwcfi	cfa_offset, -2
	.dwcfi	save_reg_to_mem, 26, 0
        ADDB      SP,#8                 ; [CPU_ARAU] 
	.dwcfi	cfa_offset, -10
$C$DW$13	.dwtag  DW_TAG_variable
	.dwattr $C$DW$13, DW_AT_name("Timer")
	.dwattr $C$DW$13, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$13, DW_AT_location[DW_OP_breg20 -2]

$C$DW$14	.dwtag  DW_TAG_variable
	.dwattr $C$DW$14, DW_AT_name("Freq")
	.dwattr $C$DW$14, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$14, DW_AT_location[DW_OP_breg20 -4]

$C$DW$15	.dwtag  DW_TAG_variable
	.dwattr $C$DW$15, DW_AT_name("Period")
	.dwattr $C$DW$15, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$15, DW_AT_location[DW_OP_breg20 -6]

$C$DW$16	.dwtag  DW_TAG_variable
	.dwattr $C$DW$16, DW_AT_name("temp")
	.dwattr $C$DW$16, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$16, DW_AT_location[DW_OP_breg20 -8]

;----------------------------------------------------------------------
; 141 | Uint32 temp;                                                           
; 143 | //                                                                     
; 144 | // Initialize timer period:                                            
; 145 | //                                                                     
;----------------------------------------------------------------------
        MOV32     *-SP[6],R1H           ; [CPU_FPU] |140| 
        MOV32     *-SP[4],R0H           ; [CPU_FPU] |140| 
        MOVL      *-SP[2],XAR4          ; [CPU_ALU] |140| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 146,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 146 | Timer->CPUFreqInMHz = Freq;                                            
;----------------------------------------------------------------------
        MOVL      ACC,*-SP[4]           ; [CPU_ALU] |146| 
        MOVL      *+XAR4[4],ACC         ; [CPU_ALU] |146| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 147,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 147 | Timer->PeriodInUSec = Period;                                          
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; [CPU_ALU] |147| 
        MOVL      ACC,*-SP[6]           ; [CPU_ALU] |147| 
        MOVL      *+XAR4[6],ACC         ; [CPU_ALU] |147| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 148,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 148 | temp = (long) (Freq * Period);                                         
; 150 | //                                                                     
; 151 | // Counter decrements PRD+1 times each period                          
; 152 | //                                                                     
;----------------------------------------------------------------------
        MOV32     R0H,*-SP[4]           ; [CPU_FPU] |148| 
        MOV32     R1H,*-SP[6]           ; [CPU_FPU] |148| 
        MPYF32    R0H,R1H,R0H           ; [CPU_FPU] |148| 
        NOP       ; [CPU_ALU] 
        F32TOI32  R0H,R0H               ; [CPU_FPU] |148| 
        NOP       ; [CPU_ALU] 
        MOV32     *-SP[8],R0H           ; [CPU_FPU] |148| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 153,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 153 | Timer->RegsAddr->PRD.all = temp - 1;                                   
; 155 | //                                                                     
; 156 | // Set pre-scale counter to divide by 1 (SYSCLKOUT):                   
; 157 | //                                                                     
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; [CPU_ALU] |153| 
        MOVL      XAR4,*+XAR4[0]        ; [CPU_ALU] |153| 
        MOVL      ACC,*-SP[8]           ; [CPU_ALU] |153| 
        SUBB      ACC,#1                ; [CPU_ALU] |153| 
        MOVL      *+XAR4[2],ACC         ; [CPU_ALU] |153| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 158,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 158 | Timer->RegsAddr->TPR.all  = 0;                                         
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; [CPU_ALU] |158| 
        MOVL      XAR4,*+XAR4[0]        ; [CPU_ALU] |158| 
        MOV       *+XAR4[6],#0          ; [CPU_ALU] |158| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 159,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 159 | Timer->RegsAddr->TPRH.all  = 0;                                        
; 161 | //                                                                     
; 162 | // Initialize timer control register:                                  
; 163 | //                                                                     
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; [CPU_ALU] |159| 
        MOVL      XAR4,*+XAR4[0]        ; [CPU_ALU] |159| 
        MOV       *+XAR4[7],#0          ; [CPU_ALU] |159| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 164,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 164 | Timer->RegsAddr->TCR.bit.TSS = 1;     // 1 = Stop timer, 0 = Start/Rest
;     | art                                                                    
; 165 |                                       // Timer                         
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; [CPU_ALU] |164| 
        MOVL      XAR4,*+XAR4[0]        ; [CPU_ALU] |164| 
        OR        *+XAR4[4],#0x0010     ; [CPU_ALU] |164| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 166,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 166 | Timer->RegsAddr->TCR.bit.TRB = 1;     // 1 = reload timer              
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; [CPU_ALU] |166| 
        MOVL      XAR4,*+XAR4[0]        ; [CPU_ALU] |166| 
        OR        *+XAR4[4],#0x0020     ; [CPU_ALU] |166| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 167,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 167 | Timer->RegsAddr->TCR.bit.SOFT = 0;                                     
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; [CPU_ALU] |167| 
        MOVL      XAR4,*+XAR4[0]        ; [CPU_ALU] |167| 
        AND       *+XAR4[4],#0xfbff     ; [CPU_ALU] |167| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 168,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 168 | Timer->RegsAddr->TCR.bit.FREE = 0;    // Timer Free Run Disabled       
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; [CPU_ALU] |168| 
        MOVL      XAR4,*+XAR4[0]        ; [CPU_ALU] |168| 
        AND       *+XAR4[4],#0xf7ff     ; [CPU_ALU] |168| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 169,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 169 | Timer->RegsAddr->TCR.bit.TIE = 1;     // 0 = Disable/ 1 = Enable Timer 
; 170 |                                       // Interrupt                     
; 172 | //                                                                     
; 173 | // Reset interrupt counter:                                            
; 174 | //                                                                     
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; [CPU_ALU] |169| 
        MOVL      XAR4,*+XAR4[0]        ; [CPU_ALU] |169| 
        OR        *+XAR4[4],#0x4000     ; [CPU_ALU] |169| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 175,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 175 | Timer->InterruptCount = 0;                                             
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; [CPU_ALU] |175| 
        MOVB      ACC,#0                ; [CPU_ALU] |175| 
        MOVL      *+XAR4[2],ACC         ; [CPU_ALU] |175| 
	.dwpsn	file "C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c",line 176,column 1,is_stmt,isa 0
        SUBB      SP,#8                 ; [CPU_ARAU] 
	.dwcfi	cfa_offset, -2
$C$DW$17	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$17, DW_AT_low_pc(0x00)
	.dwattr $C$DW$17, DW_AT_TI_return

        LRETR     ; [CPU_ALU] 
        ; return occurs ; [] 
	.dwattr $C$DW$9, DW_AT_TI_end_file("C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/common/source/f2838x_cputimers.c")
	.dwattr $C$DW$9, DW_AT_TI_end_line(0xb0)
	.dwattr $C$DW$9, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$9

;**************************************************************
;* UNDEFINED EXTERNAL REFERENCES                              *
;**************************************************************
	.global	||CpuTimer0Regs||
	.global	||CpuTimer1Regs||
	.global	||CpuTimer2Regs||

;***************************************************************
;* BUILD ATTRIBUTES                                            *
;***************************************************************
	.battr "c28xabi", Tag_File, 1, Tag_float_args(1)
	.battr "c28xabi", Tag_File, 1, Tag_double_args(0)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

$C$DW$CIE	.dwcie 26
	.dwcfi	cfa_register, 20
	.dwcfi	cfa_offset, 0
	.dwcfi	same_value, 28
	.dwcfi	same_value, 6
	.dwcfi	same_value, 7
	.dwcfi	same_value, 8
	.dwcfi	same_value, 9
	.dwcfi	same_value, 10
	.dwcfi	same_value, 11
	.dwcfi	same_value, 59
	.dwcfi	same_value, 63
	.dwcfi	same_value, 67
	.dwcfi	same_value, 71
	.dwendentry
	.dwendtag $C$DW$CU


;***************************************************************
;* TYPE INFORMATION                                            *
;***************************************************************

$C$DW$TU$20	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$20

$C$DW$T$20	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$20, DW_AT_name("CPUTIMER_REGS")
	.dwattr $C$DW$T$20, DW_AT_byte_size(0x08)
$C$DW$18	.dwtag  DW_TAG_member
	.dwattr $C$DW$18, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$18, DW_AT_name("TIM")
	.dwattr $C$DW$18, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$18, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$18, DW_AT_decl_line(0x70)
	.dwattr $C$DW$18, DW_AT_decl_column(0x2e)

$C$DW$19	.dwtag  DW_TAG_member
	.dwattr $C$DW$19, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$19, DW_AT_name("PRD")
	.dwattr $C$DW$19, DW_AT_data_member_location[DW_OP_plus_uconst 0x2]
	.dwattr $C$DW$19, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$19, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$19, DW_AT_decl_line(0x71)
	.dwattr $C$DW$19, DW_AT_decl_column(0x2e)

$C$DW$20	.dwtag  DW_TAG_member
	.dwattr $C$DW$20, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$20, DW_AT_name("TCR")
	.dwattr $C$DW$20, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$20, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$20, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$20, DW_AT_decl_line(0x72)
	.dwattr $C$DW$20, DW_AT_decl_column(0x2e)

$C$DW$21	.dwtag  DW_TAG_member
	.dwattr $C$DW$21, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$21, DW_AT_name("rsvd1")
	.dwattr $C$DW$21, DW_AT_data_member_location[DW_OP_plus_uconst 0x5]
	.dwattr $C$DW$21, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$21, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$21, DW_AT_decl_line(0x73)
	.dwattr $C$DW$21, DW_AT_decl_column(0x2e)

$C$DW$22	.dwtag  DW_TAG_member
	.dwattr $C$DW$22, DW_AT_type(*$C$DW$T$34)
	.dwattr $C$DW$22, DW_AT_name("TPR")
	.dwattr $C$DW$22, DW_AT_data_member_location[DW_OP_plus_uconst 0x6]
	.dwattr $C$DW$22, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$22, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$22, DW_AT_decl_line(0x74)
	.dwattr $C$DW$22, DW_AT_decl_column(0x2e)

$C$DW$23	.dwtag  DW_TAG_member
	.dwattr $C$DW$23, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$23, DW_AT_name("TPRH")
	.dwattr $C$DW$23, DW_AT_data_member_location[DW_OP_plus_uconst 0x7]
	.dwattr $C$DW$23, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$23, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$23, DW_AT_decl_line(0x75)
	.dwattr $C$DW$23, DW_AT_decl_column(0x2e)

	.dwattr $C$DW$T$20, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$20, DW_AT_decl_line(0x6f)
	.dwattr $C$DW$T$20, DW_AT_decl_column(0x08)
	.dwendtag $C$DW$T$20

	.dwendtag $C$DW$TU$20


$C$DW$TU$21	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$21
$C$DW$24	.dwtag  DW_TAG_TI_far_type
	.dwattr $C$DW$24, DW_AT_type(*$C$DW$T$20)

$C$DW$T$21	.dwtag  DW_TAG_volatile_type
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$24)

	.dwendtag $C$DW$TU$21


$C$DW$TU$22	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$22
$C$DW$T$22	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$22, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$22, DW_AT_address_class(0x20)

	.dwendtag $C$DW$TU$22


$C$DW$TU$24	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$24

$C$DW$T$24	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$24, DW_AT_name("CPUTIMER_VARS")
	.dwattr $C$DW$T$24, DW_AT_byte_size(0x08)
$C$DW$25	.dwtag  DW_TAG_member
	.dwattr $C$DW$25, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$25, DW_AT_name("RegsAddr")
	.dwattr $C$DW$25, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$25, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\common\include\f2838x_cputimervars.h")
	.dwattr $C$DW$25, DW_AT_decl_line(0x36)
	.dwattr $C$DW$25, DW_AT_decl_column(0x25)

$C$DW$26	.dwtag  DW_TAG_member
	.dwattr $C$DW$26, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$26, DW_AT_name("InterruptCount")
	.dwattr $C$DW$26, DW_AT_data_member_location[DW_OP_plus_uconst 0x2]
	.dwattr $C$DW$26, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$26, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\common\include\f2838x_cputimervars.h")
	.dwattr $C$DW$26, DW_AT_decl_line(0x37)
	.dwattr $C$DW$26, DW_AT_decl_column(0x0e)

$C$DW$27	.dwtag  DW_TAG_member
	.dwattr $C$DW$27, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$27, DW_AT_name("CPUFreqInMHz")
	.dwattr $C$DW$27, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$27, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$27, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\common\include\f2838x_cputimervars.h")
	.dwattr $C$DW$27, DW_AT_decl_line(0x38)
	.dwattr $C$DW$27, DW_AT_decl_column(0x0c)

$C$DW$28	.dwtag  DW_TAG_member
	.dwattr $C$DW$28, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$28, DW_AT_name("PeriodInUSec")
	.dwattr $C$DW$28, DW_AT_data_member_location[DW_OP_plus_uconst 0x6]
	.dwattr $C$DW$28, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$28, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\common\include\f2838x_cputimervars.h")
	.dwattr $C$DW$28, DW_AT_decl_line(0x39)
	.dwattr $C$DW$28, DW_AT_decl_column(0x0c)

	.dwattr $C$DW$T$24, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\common\include\f2838x_cputimervars.h")
	.dwattr $C$DW$T$24, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$24, DW_AT_decl_column(0x08)
	.dwendtag $C$DW$T$24

	.dwendtag $C$DW$TU$24


$C$DW$TU$35	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$35
$C$DW$T$35	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$35, DW_AT_address_class(0x20)

	.dwendtag $C$DW$TU$35


$C$DW$TU$25	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$25

$C$DW$T$25	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$25, DW_AT_name("PRD_BITS")
	.dwattr $C$DW$T$25, DW_AT_byte_size(0x02)
$C$DW$29	.dwtag  DW_TAG_member
	.dwattr $C$DW$29, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$29, DW_AT_name("LSW")
	.dwattr $C$DW$29, DW_AT_bit_offset(0x00)
	.dwattr $C$DW$29, DW_AT_bit_size(0x10)
	.dwattr $C$DW$29, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$29, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$29, DW_AT_decl_line(0x41)
	.dwattr $C$DW$29, DW_AT_decl_column(0x0c)

$C$DW$30	.dwtag  DW_TAG_member
	.dwattr $C$DW$30, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$30, DW_AT_name("MSW")
	.dwattr $C$DW$30, DW_AT_bit_offset(0x00)
	.dwattr $C$DW$30, DW_AT_bit_size(0x10)
	.dwattr $C$DW$30, DW_AT_data_member_location[DW_OP_plus_uconst 0x1]
	.dwattr $C$DW$30, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$30, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$30, DW_AT_decl_line(0x42)
	.dwattr $C$DW$30, DW_AT_decl_column(0x0c)

	.dwattr $C$DW$T$25, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$25, DW_AT_decl_line(0x40)
	.dwattr $C$DW$T$25, DW_AT_decl_column(0x08)
	.dwendtag $C$DW$T$25

	.dwendtag $C$DW$TU$25


$C$DW$TU$26	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$26

$C$DW$T$26	.dwtag  DW_TAG_union_type
	.dwattr $C$DW$T$26, DW_AT_name("PRD_REG")
	.dwattr $C$DW$T$26, DW_AT_byte_size(0x02)
$C$DW$31	.dwtag  DW_TAG_member
	.dwattr $C$DW$31, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$31, DW_AT_name("all")
	.dwattr $C$DW$31, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$31, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$31, DW_AT_decl_line(0x46)
	.dwattr $C$DW$31, DW_AT_decl_column(0x0d)

$C$DW$32	.dwtag  DW_TAG_member
	.dwattr $C$DW$32, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$32, DW_AT_name("bit")
	.dwattr $C$DW$32, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$32, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$32, DW_AT_decl_line(0x47)
	.dwattr $C$DW$32, DW_AT_decl_column(0x17)

	.dwattr $C$DW$T$26, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$26, DW_AT_decl_line(0x45)
	.dwattr $C$DW$T$26, DW_AT_decl_column(0x07)
	.dwendtag $C$DW$T$26

	.dwendtag $C$DW$TU$26


$C$DW$TU$27	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$27

$C$DW$T$27	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$27, DW_AT_name("TCR_BITS")
	.dwattr $C$DW$T$27, DW_AT_byte_size(0x01)
$C$DW$33	.dwtag  DW_TAG_member
	.dwattr $C$DW$33, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$33, DW_AT_name("rsvd1")
	.dwattr $C$DW$33, DW_AT_bit_offset(0x0c)
	.dwattr $C$DW$33, DW_AT_bit_size(0x04)
	.dwattr $C$DW$33, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$33, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$33, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$33, DW_AT_decl_column(0x0c)

$C$DW$34	.dwtag  DW_TAG_member
	.dwattr $C$DW$34, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$34, DW_AT_name("TSS")
	.dwattr $C$DW$34, DW_AT_bit_offset(0x0b)
	.dwattr $C$DW$34, DW_AT_bit_size(0x01)
	.dwattr $C$DW$34, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$34, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$34, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$34, DW_AT_decl_column(0x0c)

$C$DW$35	.dwtag  DW_TAG_member
	.dwattr $C$DW$35, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$35, DW_AT_name("TRB")
	.dwattr $C$DW$35, DW_AT_bit_offset(0x0a)
	.dwattr $C$DW$35, DW_AT_bit_size(0x01)
	.dwattr $C$DW$35, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$35, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$35, DW_AT_decl_line(0x4d)
	.dwattr $C$DW$35, DW_AT_decl_column(0x0c)

$C$DW$36	.dwtag  DW_TAG_member
	.dwattr $C$DW$36, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$36, DW_AT_name("rsvd2")
	.dwattr $C$DW$36, DW_AT_bit_offset(0x06)
	.dwattr $C$DW$36, DW_AT_bit_size(0x04)
	.dwattr $C$DW$36, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$36, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$36, DW_AT_decl_line(0x4e)
	.dwattr $C$DW$36, DW_AT_decl_column(0x0c)

$C$DW$37	.dwtag  DW_TAG_member
	.dwattr $C$DW$37, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$37, DW_AT_name("SOFT")
	.dwattr $C$DW$37, DW_AT_bit_offset(0x05)
	.dwattr $C$DW$37, DW_AT_bit_size(0x01)
	.dwattr $C$DW$37, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$37, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$37, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$37, DW_AT_decl_column(0x0c)

$C$DW$38	.dwtag  DW_TAG_member
	.dwattr $C$DW$38, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$38, DW_AT_name("FREE")
	.dwattr $C$DW$38, DW_AT_bit_offset(0x04)
	.dwattr $C$DW$38, DW_AT_bit_size(0x01)
	.dwattr $C$DW$38, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$38, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$38, DW_AT_decl_line(0x50)
	.dwattr $C$DW$38, DW_AT_decl_column(0x0c)

$C$DW$39	.dwtag  DW_TAG_member
	.dwattr $C$DW$39, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$39, DW_AT_name("rsvd3")
	.dwattr $C$DW$39, DW_AT_bit_offset(0x02)
	.dwattr $C$DW$39, DW_AT_bit_size(0x02)
	.dwattr $C$DW$39, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$39, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$39, DW_AT_decl_line(0x51)
	.dwattr $C$DW$39, DW_AT_decl_column(0x0c)

$C$DW$40	.dwtag  DW_TAG_member
	.dwattr $C$DW$40, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$40, DW_AT_name("TIE")
	.dwattr $C$DW$40, DW_AT_bit_offset(0x01)
	.dwattr $C$DW$40, DW_AT_bit_size(0x01)
	.dwattr $C$DW$40, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$40, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$40, DW_AT_decl_line(0x52)
	.dwattr $C$DW$40, DW_AT_decl_column(0x0c)

$C$DW$41	.dwtag  DW_TAG_member
	.dwattr $C$DW$41, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$41, DW_AT_name("TIF")
	.dwattr $C$DW$41, DW_AT_bit_offset(0x00)
	.dwattr $C$DW$41, DW_AT_bit_size(0x01)
	.dwattr $C$DW$41, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$41, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$41, DW_AT_decl_line(0x53)
	.dwattr $C$DW$41, DW_AT_decl_column(0x0c)

	.dwattr $C$DW$T$27, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$27, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$T$27, DW_AT_decl_column(0x08)
	.dwendtag $C$DW$T$27

	.dwendtag $C$DW$TU$27


$C$DW$TU$28	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$28

$C$DW$T$28	.dwtag  DW_TAG_union_type
	.dwattr $C$DW$T$28, DW_AT_name("TCR_REG")
	.dwattr $C$DW$T$28, DW_AT_byte_size(0x01)
$C$DW$42	.dwtag  DW_TAG_member
	.dwattr $C$DW$42, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$42, DW_AT_name("all")
	.dwattr $C$DW$42, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$42, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$42, DW_AT_decl_line(0x57)
	.dwattr $C$DW$42, DW_AT_decl_column(0x0d)

$C$DW$43	.dwtag  DW_TAG_member
	.dwattr $C$DW$43, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$43, DW_AT_name("bit")
	.dwattr $C$DW$43, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$43, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$43, DW_AT_decl_line(0x58)
	.dwattr $C$DW$43, DW_AT_decl_column(0x17)

	.dwattr $C$DW$T$28, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$28, DW_AT_decl_line(0x56)
	.dwattr $C$DW$T$28, DW_AT_decl_column(0x07)
	.dwendtag $C$DW$T$28

	.dwendtag $C$DW$TU$28


$C$DW$TU$29	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$29

$C$DW$T$29	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$29, DW_AT_name("TIM_BITS")
	.dwattr $C$DW$T$29, DW_AT_byte_size(0x02)
$C$DW$44	.dwtag  DW_TAG_member
	.dwattr $C$DW$44, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$44, DW_AT_name("LSW")
	.dwattr $C$DW$44, DW_AT_bit_offset(0x00)
	.dwattr $C$DW$44, DW_AT_bit_size(0x10)
	.dwattr $C$DW$44, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$44, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$44, DW_AT_decl_line(0x37)
	.dwattr $C$DW$44, DW_AT_decl_column(0x0c)

$C$DW$45	.dwtag  DW_TAG_member
	.dwattr $C$DW$45, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$45, DW_AT_name("MSW")
	.dwattr $C$DW$45, DW_AT_bit_offset(0x00)
	.dwattr $C$DW$45, DW_AT_bit_size(0x10)
	.dwattr $C$DW$45, DW_AT_data_member_location[DW_OP_plus_uconst 0x1]
	.dwattr $C$DW$45, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$45, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$45, DW_AT_decl_line(0x38)
	.dwattr $C$DW$45, DW_AT_decl_column(0x0c)

	.dwattr $C$DW$T$29, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$29, DW_AT_decl_line(0x36)
	.dwattr $C$DW$T$29, DW_AT_decl_column(0x08)
	.dwendtag $C$DW$T$29

	.dwendtag $C$DW$TU$29


$C$DW$TU$30	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$30

$C$DW$T$30	.dwtag  DW_TAG_union_type
	.dwattr $C$DW$T$30, DW_AT_name("TIM_REG")
	.dwattr $C$DW$T$30, DW_AT_byte_size(0x02)
$C$DW$46	.dwtag  DW_TAG_member
	.dwattr $C$DW$46, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$46, DW_AT_name("all")
	.dwattr $C$DW$46, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$46, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$46, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$46, DW_AT_decl_column(0x0d)

$C$DW$47	.dwtag  DW_TAG_member
	.dwattr $C$DW$47, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$47, DW_AT_name("bit")
	.dwattr $C$DW$47, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$47, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$47, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$47, DW_AT_decl_column(0x17)

	.dwattr $C$DW$T$30, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$30, DW_AT_decl_line(0x3b)
	.dwattr $C$DW$T$30, DW_AT_decl_column(0x07)
	.dwendtag $C$DW$T$30

	.dwendtag $C$DW$TU$30


$C$DW$TU$31	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$31

$C$DW$T$31	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$31, DW_AT_name("TPRH_BITS")
	.dwattr $C$DW$T$31, DW_AT_byte_size(0x01)
$C$DW$48	.dwtag  DW_TAG_member
	.dwattr $C$DW$48, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$48, DW_AT_name("TDDRH")
	.dwattr $C$DW$48, DW_AT_bit_offset(0x08)
	.dwattr $C$DW$48, DW_AT_bit_size(0x08)
	.dwattr $C$DW$48, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$48, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$48, DW_AT_decl_line(0x66)
	.dwattr $C$DW$48, DW_AT_decl_column(0x0c)

$C$DW$49	.dwtag  DW_TAG_member
	.dwattr $C$DW$49, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$49, DW_AT_name("PSCH")
	.dwattr $C$DW$49, DW_AT_bit_offset(0x00)
	.dwattr $C$DW$49, DW_AT_bit_size(0x08)
	.dwattr $C$DW$49, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$49, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$49, DW_AT_decl_line(0x67)
	.dwattr $C$DW$49, DW_AT_decl_column(0x0c)

	.dwattr $C$DW$T$31, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$31, DW_AT_decl_line(0x65)
	.dwattr $C$DW$T$31, DW_AT_decl_column(0x08)
	.dwendtag $C$DW$T$31

	.dwendtag $C$DW$TU$31


$C$DW$TU$32	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$32

$C$DW$T$32	.dwtag  DW_TAG_union_type
	.dwattr $C$DW$T$32, DW_AT_name("TPRH_REG")
	.dwattr $C$DW$T$32, DW_AT_byte_size(0x01)
$C$DW$50	.dwtag  DW_TAG_member
	.dwattr $C$DW$50, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$50, DW_AT_name("all")
	.dwattr $C$DW$50, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$50, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$50, DW_AT_decl_line(0x6b)
	.dwattr $C$DW$50, DW_AT_decl_column(0x0d)

$C$DW$51	.dwtag  DW_TAG_member
	.dwattr $C$DW$51, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$51, DW_AT_name("bit")
	.dwattr $C$DW$51, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$51, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$51, DW_AT_decl_line(0x6c)
	.dwattr $C$DW$51, DW_AT_decl_column(0x18)

	.dwattr $C$DW$T$32, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$32, DW_AT_decl_line(0x6a)
	.dwattr $C$DW$T$32, DW_AT_decl_column(0x07)
	.dwendtag $C$DW$T$32

	.dwendtag $C$DW$TU$32


$C$DW$TU$33	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$33

$C$DW$T$33	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$33, DW_AT_name("TPR_BITS")
	.dwattr $C$DW$T$33, DW_AT_byte_size(0x01)
$C$DW$52	.dwtag  DW_TAG_member
	.dwattr $C$DW$52, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$52, DW_AT_name("TDDR")
	.dwattr $C$DW$52, DW_AT_bit_offset(0x08)
	.dwattr $C$DW$52, DW_AT_bit_size(0x08)
	.dwattr $C$DW$52, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$52, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$52, DW_AT_decl_line(0x5c)
	.dwattr $C$DW$52, DW_AT_decl_column(0x0c)

$C$DW$53	.dwtag  DW_TAG_member
	.dwattr $C$DW$53, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$53, DW_AT_name("PSC")
	.dwattr $C$DW$53, DW_AT_bit_offset(0x00)
	.dwattr $C$DW$53, DW_AT_bit_size(0x08)
	.dwattr $C$DW$53, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$53, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$53, DW_AT_decl_line(0x5d)
	.dwattr $C$DW$53, DW_AT_decl_column(0x0c)

	.dwattr $C$DW$T$33, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$33, DW_AT_decl_line(0x5b)
	.dwattr $C$DW$T$33, DW_AT_decl_column(0x08)
	.dwendtag $C$DW$T$33

	.dwendtag $C$DW$TU$33


$C$DW$TU$34	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$34

$C$DW$T$34	.dwtag  DW_TAG_union_type
	.dwattr $C$DW$T$34, DW_AT_name("TPR_REG")
	.dwattr $C$DW$T$34, DW_AT_byte_size(0x01)
$C$DW$54	.dwtag  DW_TAG_member
	.dwattr $C$DW$54, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$54, DW_AT_name("all")
	.dwattr $C$DW$54, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$54, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$54, DW_AT_decl_line(0x61)
	.dwattr $C$DW$54, DW_AT_decl_column(0x0d)

$C$DW$55	.dwtag  DW_TAG_member
	.dwattr $C$DW$55, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$55, DW_AT_name("bit")
	.dwattr $C$DW$55, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$55, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$55, DW_AT_decl_line(0x62)
	.dwattr $C$DW$55, DW_AT_decl_column(0x17)

	.dwattr $C$DW$T$34, DW_AT_decl_file("C:\ti\c2000\C2000Ware_3_02_00_00\device_support\f2838x\headers\include\f2838x_cputimer.h")
	.dwattr $C$DW$T$34, DW_AT_decl_line(0x60)
	.dwattr $C$DW$T$34, DW_AT_decl_column(0x07)
	.dwendtag $C$DW$T$34

	.dwendtag $C$DW$TU$34


$C$DW$TU$2	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$2
$C$DW$T$2	.dwtag  DW_TAG_unspecified_type
	.dwattr $C$DW$T$2, DW_AT_name("void")

	.dwendtag $C$DW$TU$2


$C$DW$TU$4	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$4
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$4


$C$DW$TU$5	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$5
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$5


$C$DW$TU$6	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$6
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$6


$C$DW$TU$7	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$7
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$7


$C$DW$TU$8	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$8
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$8


$C$DW$TU$9	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$9
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$9


$C$DW$TU$10	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$10
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$10


$C$DW$TU$11	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$11
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$11


$C$DW$TU$19	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$19
$C$DW$T$19	.dwtag  DW_TAG_typedef
	.dwattr $C$DW$T$19, DW_AT_name("Uint16")
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$19, DW_AT_decl_file("C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/headers/include/f2838x_device.h")
	.dwattr $C$DW$T$19, DW_AT_decl_line(0x123)
	.dwattr $C$DW$T$19, DW_AT_decl_column(0x1a)

	.dwendtag $C$DW$TU$19


$C$DW$TU$12	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$12
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("long")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$12


$C$DW$TU$13	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$13
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned long")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$13


$C$DW$TU$23	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$23
$C$DW$T$23	.dwtag  DW_TAG_typedef
	.dwattr $C$DW$T$23, DW_AT_name("Uint32")
	.dwattr $C$DW$T$23, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$23, DW_AT_decl_file("C:/ti/c2000/C2000Ware_3_02_00_00/device_support/f2838x/headers/include/f2838x_device.h")
	.dwattr $C$DW$T$23, DW_AT_decl_line(0x124)
	.dwattr $C$DW$T$23, DW_AT_decl_column(0x1a)

	.dwendtag $C$DW$TU$23


$C$DW$TU$14	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$14
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$14


$C$DW$TU$15	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$15
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$15


$C$DW$TU$16	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$16
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$16


$C$DW$TU$17	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$17
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$17


$C$DW$TU$18	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$18
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$18

